routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect()->route('login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

// Controller de Clientes acessível somente para usuário autenticado
Route::middleware(['auth'])->group(function(){
	Route::get('/clientes/monitor', 'ClientsController@getMonitorData');
	Route::get('/monitor', 'ClientsController@monitor');
	Route::get('/auditoria/relatorio', 'ActionAuditsController@report');

	Route::resource('clientes', 'ClientsController');
	Route::resource('formas_contato', 'ContactMeansController');
	Route::resource('auditoria', 'ActionAuditsController');
});

app/ContactMean.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ContactMean extends Model
{
	use SoftDeletes;

    protected $fillable = ['title'];
    protected $dates = ['deleted_at'];

    /**
     * Busca os campos da tabela
     */
    public static function getFields() {
    	return ContactMean::all();
    }

     /**
     * Busca apenas campos com o id parametrizado
     * @param int $id identificador da forma de contato
     */
    public static function getField($id) {
		return ContactMean::where('id','=',$id)->get();
    } 
}

app/Http/Controllers/ContactMeansController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\ContactMean;

class ContactMeansController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = json_encode(ContactMean::all('id','title'));

        return view('contact_means.index', compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = $request->all();

        $validation = $this->toValidate($data);

        if ( $validation->fails() ) {
            return redirect()->back()->withErrors($validation)->withInput();
        }

        ContactMean::create($data);
        return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        return ContactMean::find($id);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $data = $request->all();

        $validation = $this->toValidate($data);

        if ( $validation->fails() ) {
            return redirect()->back()->withErrors($validation)->withInput();
        }

        ContactMean::find($id)->update($data);
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        ContactMean::find($id)->delete();
        return redirect()->back();
    }

    /**
     * Função privada para validar dados que serão persistidos.
     *
     * @param  App\ContactMean  $contactMean
     * @return Mixed $validation
     */
    private function toValidate($contactMean) {
         $validation = \Validator::make($contactMean,[
            'title' => 'required',
        ]);

        return  $validation;
    }
}

resources/views/contact_means/index.blade.php
@extends('layouts.app')

@section('content')
    <page-component>
        @if($errors->all())
            <div style="" class="alert alert-danger alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                @if($errors->all())   
                    @foreach ($errors->all() as $value)
                        <li>{{ $value }}</li>
                    @endforeach
                @endif
            </div>
        @endif
        
        <panel-component headline="Formas de Contato">
        	<table-component
         		v-bind:fields="['ID','Título']"
        		v-bind:items="{{ $data }}"
                read = "/formas_contato/"
                update = "/formas_contato/"
                remove = "/formas_contato/"
        		token="{{ csrf_token() }}">
        	</table-component>
        </panel-component>
    </page-component>

    {{-- Modal para adicionar nova forma de contato --}}
    <modal-component id="toCreate" title="Novo">
        <form-component 
            id="form-create"
            action="{{ route('formas_contato.store') }}" 
            method="POST"
            enctype=""
            token="{{ csrf_token() }}">

            {{-- Forma de Contato --}}
            <div class="form-group">
                <label for="title">Tipo de Contato</label>
                <input type="text" required="true" class="form-control" id="title" name="title" placeholder="Ex: Presencial" value="{{ old('title') }}">
            </div>
        </form-component>

        {{-- Botões --}}
        <span slot="buttons">
            <button form="form-create" class="btn btn-info">Salvar</button>
        </span>
    </modal-component>

    {{-- Modal para editar forma de contato --}}
    <modal-component id="toUpdate" title="Editar">
        <form-component 
            id="form-edit"
            v-bind:action="'/formas_contato/' + $store.state.item.id" 
            method="PUT"
            enctype="multipart/form-data" 
            token="{{ csrf_token() }}">

            {{-- forma de contato --}}
            <div class="form-group">
                <label for="title">Tipo de Contato</label>
                <input type="text" required="true" class="form-control" id="title" name="title" v-model="$store.state.item.title">
            </div>
        </form-component>

        {{-- Botões --}}
        <span slot="buttons">
            <button form="form-edit" class="btn btn-info">Salvar</button>
        </span>
    </modal-component>

    {{-- Modal para visualizar detalhes da forma de contato --}}
    <modal-component id="toRead" title="Detalhes">
        {{-- Forma de Contato --}}
        <div class="form-group">
            <label for="title">Tipo de Contato: </label> 
            @{{ $store.state.item.title }}
        </div>
    </modal-component>

@endsection